#pragma once
#include "domain/monitored_items.h"
#include <functional>

namespace spin
{
    class IHeartbeatHandler
    {
    public:
        IHeartbeatHandler() = default;
        virtual ~IHeartbeatHandler() = default;

        virtual void handleHeartbeat(const MonitoredItems &monitoredItems) = 0;
        virtual void setOnDiedCallback(std::function<void()> callback) = 0;
    };

} // namespace spin